DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.GeneratedCodeInfo.Annotation, DescriptorProtos.GeneratedCodeInfo.Annotation.Builder
  Enclosing class:
    DescriptorProtos.GeneratedCodeInfo

      public static interface DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBegin()` Identifies the starting offset in bytes in the generated code that relates to the identified object.
    `int` | `getEnd()` Identifies the ending offset in bytes in the generated code that relates to the identified offset.
    `int` | `getPath(int index)` Identifies the element in the original source .proto file.
    `int` | `getPathCount()` Identifies the element in the original source .proto file.
    `java.util.List<java.lang.Integer>` | `getPathList()` Identifies the element in the original source .proto file.
    `java.lang.String` | `getSourceFile()` Identifies the filesystem path to the original source .proto.
    `ByteString` | `getSourceFileBytes()` Identifies the filesystem path to the original source .proto.
    `boolean` | `hasBegin()` Identifies the starting offset in bytes in the generated code that relates to the identified object.
    `boolean` | `hasEnd()` Identifies the ending offset in bytes in the generated code that relates to the identified offset.
    `boolean` | `hasSourceFile()` Identifies the filesystem path to the original source .proto.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getPathList

          java.util.List<java.lang.Integer> getPathList()

           Identifies the element in the original source .proto file. This field
           is formatted the same as SourceCodeInfo.Location.path.

      `repeated int32 path = 1 [packed = true];`

    - #### getPathCount

          int getPathCount()

           Identifies the element in the original source .proto file. This field
           is formatted the same as SourceCodeInfo.Location.path.

      `repeated int32 path = 1 [packed = true];`

    - #### getPath

          int getPath(int index)

           Identifies the element in the original source .proto file. This field
           is formatted the same as SourceCodeInfo.Location.path.

      `repeated int32 path = 1 [packed = true];`

    - #### hasSourceFile

          boolean hasSourceFile()

           Identifies the filesystem path to the original source .proto.

      `optional string source_file = 2;`

    - #### getSourceFile

          java.lang.String getSourceFile()

           Identifies the filesystem path to the original source .proto.

      `optional string source_file = 2;`

    - #### getSourceFileBytes

          ByteString getSourceFileBytes()

           Identifies the filesystem path to the original source .proto.

      `optional string source_file = 2;`

    - #### hasBegin

          boolean hasBegin()

           Identifies the starting offset in bytes in the generated code
           that relates to the identified object.

      `optional int32 begin = 3;`

    - #### getBegin

          int getBegin()

           Identifies the starting offset in bytes in the generated code
           that relates to the identified object.

      `optional int32 begin = 3;`

    - #### hasEnd

          boolean hasEnd()

           Identifies the ending offset in bytes in the generated code that
           relates to the identified offset. The end offset should be one past
           the last relevant byte (so the length of the text = end - begin).

      `optional int32 end = 4;`

    - #### getEnd

          int getEnd()

           Identifies the ending offset in bytes in the generated code that
           relates to the identified offset. The end offset should be one past
           the last relevant byte (so the length of the text = end - begin).

      `optional int32 end = 4;`